/*
 * Params:
 * item: user to delete (required)
 */
lm.component('lmDialogUserDelete', {
	templateUrl: 'comp/dialog/lmDialogUserDelete.' + lmCacheTag + 'html',
	bindings: { lmParams: '<', lmDismiss: '&', lmDone: '&' },
	controller: function($http, serviceLimboMedia, serviceNotification) {
		var ctrl = this;

		ctrl.item = null;

		ctrl.$onInit = function() {
			if(!ctrl.lmParams.item) {
				console.log("No item param. Closing.");
				ctrl.lmDismiss();
				return;
			}
			ctrl.item = ctrl.lmParams.item;
		};

		ctrl.ok = function() {
			$http.delete(lmBase.url + 'userAdmin/user/' + ctrl.item.id).then(
				function success(resp) {
					serviceNotification.ok('MSG_JOB_STARTED');
					ctrl.lmDone();
				},
				serviceLimboMedia.handleHttpErrorNew
			);
		};
	}
});
