lm.component('pageSysSystem', {
  templateUrl: 'comp/page_sys/pageSysSystem.' + lmCacheTag + 'html',
  bindings: {
  },
  $canActivate: function($nextInstruction, $prevInstruction, serviceLimboMedia) {
	  return serviceLimboMedia.isAuthenticated();
  },
  controller: function($http, serviceLimboMedia, serviceNotification) {
	  var ctrl = this;
	  ctrl.keyinfo = {};
	  
	  ctrl.shutdownServer = function() {
			$http.post(lmBase.url + 'system/shutdown').then(
				function success(resp) {
					serviceNotification.ok('MSG_SHUTDOWN');
				},
				serviceLimboMedia.handleHttpErrorNew
			);
		};
		
		ctrl.reanalyseMediaFiles = function() {
			$http.post(lmBase.url + 'admin/rescanUploadedMedia').then(
				function success(resp) {
					serviceNotification.ok('MSG_JOB_STARTED');
				},
				serviceLimboMedia.handleHttpErrorNew
			);
		};

  }
});