lm.component('pageSetStats', {
  templateUrl: 'comp/page_usr/pageSetStats.' + lmCacheTag + 'html',
  bindings: {
  },
  $canActivate: function($nextInstruction, $prevInstruction, serviceLimboMedia) {
	  return serviceLimboMedia.isAuthenticated();
  },
  controller: function($http, serviceNotification, serviceLimboMedia) {
	  var ctrl = this;
	  
	  ctrl.stats = null;
	  ctrl.overall = null;
		
	  ctrl.loadStats = function() {
		  ctrl.formats = null;
		  ctrl.stats = null;
		  ctrl.overall = null;

			$http.get(lmBase.url + 'stats/stats').then(
				function success(resp) {
					ctrl.overall = new Object();
					ctrl.overall.size = 0;
					
					for(x in resp.data) {
						var dat = resp.data[x];
						dat.hasDetails = false;
						ctrl.overall.size += dat.sizeSum;
					}
					ctrl.stats = resp.data;
				},
				serviceLimboMedia.handleHttpErrorNew
			);	
		};
		
		ctrl.loadStats();	  

  }
});